#pragma once

#include "AbstractPainter.h"

#include <memory>

class DrawingContext;

template<typename T>
class Grid;

class RasterPainter : public AbstractPainter
{
public:
    RasterPainter(DrawingContext* context);

    void paint() override;

private:
    std::unique_ptr<Grid<unsigned char> > mGrid;
};
